
QGIS Application - Bug report #3149

3D coordinates export fails with ftools

2010-10-22 08:08 AM - estelle -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13209

Description

I had some problems with a shapefile in qgis. This shape includes 3D GPS points. When using :

Vector/Geometry Tools/Export-Add geometry columns (in order to get the coordinates), the function simpleMeasure (in doGeometry.py)

returns zero. 

You can try to replace the old line: 

if inGeom.wkbType() == QGis.WKBPoint:

by the proposed fixed line:  

if inGeom.wkbType() in (QGis.WKBPoint,QGis.WKBPoint25D):

Associated revisions

Revision 85df54e8 - 2010-11-09 12:06 AM - cfarmer -

quick fix for exporting the geometry of 2.5D features, fixes #3149

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14536 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision fb942e6a - 2010-11-09 12:06 AM - cfarmer -

quick fix for exporting the geometry of 2.5D features, fixes #3149

git-svn-id: http://svn.osgeo.org/qgis/trunk@14536 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-11-08 03:07 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:fb942e6a (SVN r14537).
